Bug 1089938 - yast-samba-client fails to join if /etc/samba/smb.conf or /etc/krb5.conf don't exist
yast-samba-client fails to join if /etc/samba/smb.conf or /etc/krb5.conf don'...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Samba
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: The 'Opening Windows to a Wider World' guys
The 'Opening Windows to a Wider World' guys
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-17 19:36 UTC by David Mulder
Modified: 2022-02-03 20:17 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Mulder 2018-04-17 19:36:50 UTC
# sudo rm /etc/samba/smb.conf /etc/krb5.conf
Join fails with "Cannot use the Workgroup xxxx for linux authentication"
# sudo touch /etc/samba/smb.conf
Join begins, but fails with "Failed to join domain: failed to connect to AD: Included profile file could not be read"
# sudo touch /etc/krb5.conf
Join succeeds and stubs out the smb.conf and krb5.conf files.
Comment 1 Paulo Alcantara 2018-04-23 15:40:16 UTC
Created a PR at https://github.com/yast/yast-samba-client/pull/59 with the possible fixes. Tested them on TW and I was able to join AD.

Please, review and test it.
Comment 2 David Mulder 2019-02-06 21:15:30 UTC
This is merged and fixed.
Comment 4 Swamp Workflow Management 2022-02-03 20:17:55 UTC
SUSE-SU-2022:0323-1: An update that solves 6 vulnerabilities, contains one feature and has 5 fixes is now available.

Category: security (critical)
Bug References: 1089938,1139519,1158916,1180064,1182058,1191227,1192684,1193533,1193690,1194859,1195048
CVE References: CVE-2020-29361,CVE-2021-20316,CVE-2021-43566,CVE-2021-44141,CVE-2021-44142,CVE-2022-0336
JIRA References: SLE-23330
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    apparmor-2.8.2-56.6.3, p11-kit-0.23.2-8.3.2, samba-4.15.4+git.324.8332acf1a63-3.54.1, sssd-1.16.1-7.28.9
SUSE Linux Enterprise Server 12-SP5 (src):    apparmor-2.8.2-56.6.3, ca-certificates-1_201403302107-15.3.3, gnutls-3.4.17-8.4.1, libnettle-3.1-21.3.2, p11-kit-0.23.2-8.3.2, samba-4.15.4+git.324.8332acf1a63-3.54.1, sssd-1.16.1-7.28.9, yast2-samba-client-3.1.23-3.3.1
SUSE Linux Enterprise High Availability 12-SP5 (src):    samba-4.15.4+git.324.8332acf1a63-3.54.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.